%define name		puretls
%define rversion	0.9
%define beta		b4
%define release		0.%{beta}.1jpp_2fc
%define section		free

Name:		%{name}
Version:	%{rversion}
Release:	%{release}
Summary:	Java implementation of SSLv3 and TLSv1
License:	BSD style
Group:		Development/Libraries/Java
Source0:	%{name}-%{rversion}%{beta}.tar.gz
Url:		http://www.rtfm.com/puretls
Requires:	cryptix
Requires:	cryptix-asn1
BuildRequires:	ant
BuildRequires:	cryptix
BuildRequires:	cryptix-asn1
BuildRequires:	gnu.getopt
BuildRequires:  java-devel >= 1.4.0
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
#Vendor:		JPackage Project
#Distribution:	JPackage

%description
PureTLS is a free Java-only implementation of the SSLv3 and TLSv1
(RFC2246) protocols. PureTLS was developed by Eric Rescorla for Claymore
Systems, Inc, but is being distributed for free because we believe that
basic network security is a public good and should be a commodity.

%package javadoc
Group:	Development/Libraries/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package demo
Group:	Development/Libraries/Java
Summary:	Demo for %{name}
Requires:	%{name}

%description demo
Demo for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{rversion}%{beta}
# fix perl location
find . -type f |
    xargs grep -l "/usr/local/bin/perl5" | \
    xargs perl -pi -e "s|/usr/local/bin/perl5|%{_bindir}/perl|g;"
find . -type f |
    xargs grep -l "/usr/local/bin/perl" | \
    xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;"

# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

# remove an empty .java source file (?!?!) that upsets javadoc
rm src/COM/claymoresystems/sslg/CertVerifyPolicy.java

# delete stuff that refers to sun.* classes.
rm src/COM/claymoresystems/provider/test/DSATest.java

%build
mkdir dist

javaver=1.4
export CLASSPATH=$(build-classpath cryptix cryptix-asn1 gnu.getopt)
ant -Djdk.version=$javaver clean compile
mv build/%{name}.jar dist/%{name}$javaver.jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}-ext

install -m 644 dist/%{name}1.4.jar $RPM_BUILD_ROOT%{_javadir}-ext/%{name}1.4-%{version}.%{beta}.jar

%add_jvm_extension %{name}1.4-%{version}.%{beta} %{name} 1.4.0 1.4.1 1.4.2
%add_jvm_extension %{name}1.4-%{version}.%{beta} %{name}-%{version}.%{beta} 1.4.0 1.4.1 1.4.2

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r build/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 build/%{name}demo.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-demo.jar
install -m 644 *.pem $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 test.pl $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files
%defattr(-,root,root)
%doc ChangeLog COPYRIGHT INSTALL LICENSE README
%{_javadir}-*/*.jar


%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Wed Jan 26 2005 Florian La Roche <laroche@redhat.com> 0.9-0.b4.1jpp_2fc
- Remove additional "/" from perl path.

* Fri Jan 21 2005 Gary Benson <gbenson@redhat.com> 0.9-0.b4.1jpp_1fc
- Build into Fedora.

* Mon Nov 22 2004 Fernando Nasser <fnasser@redhat.com> 0.9-0.b4.1jpp_2rh
- Rebuild

* Mon Mar  8 2004 Frank Ch. Eigler <fche@redhat.com> 0.9-0.b4.1jpp_1rh
- RH vacuuming
- limit attention to jdk 1.4
- remove empty java source file

* Wed Jul 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.9-0.b4.1jpp
- Update to 0.9b4.
- Include JPP Java 1.4.2 extension.
- Add non-versioned javadoc dir symlink.
- Add distribution tag.
- Fix Group tags.

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 0.9-0.b3.2jpp
- For jpackage-utils 1.5

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9-0.b2.1jpp
- fixed demo jar location

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9-0.b2.1jpp 
- fixed demo jar location
- fixed version
- section macro

* Tue Mar 26 2002 Henri Gomez <hgomez@slib.fr> 0.9b2-1jpp
- puretls 0.9b2

* Fri Jan 18 2002 Henri Gomez <hgomez@slib.fr> 20020113-2jpp
- add version to javadoc subdir

* Tue Jan 15 2002 Henri Gomez <hgomez@slib.fr> 20020113-1jpp
- snapshot 20020113
- fix perl location in demo

* Fri Dec 14 2001 Henri Gomez <hgomez@slib.fr> 20011130-1jpp
- first JPackage release


